com.h3c.sdn.common

## Enum ConnectionPoint.Type

- java.lang.Object
- - java.lang.Enum<ConnectionPoint.Type>
  - - com.h3c.sdn.common.ConnectionPoint.Type

- All Implemented Interfaces:
    Serializable, Comparable<ConnectionPoint.Type>
  Enclosing interface:
    ConnectionPoint

      public static enum ConnectionPoint.Type
      extends Enum<ConnectionPoint.Type>

  Represents the type of connection point.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EDGE` Classifies connection as switch-to-station.
    `INFRASTRUCTURE` Classifies connection as switch-to-switch.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ConnectionPoint.Type` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ConnectionPoint.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### EDGE

          public static final ConnectionPoint.Type EDGE

      Classifies connection as switch-to-station.

    - #### INFRASTRUCTURE

          public static final ConnectionPoint.Type INFRASTRUCTURE

      Classifies connection as switch-to-switch.

  - ### Method Detail

    - #### values

          public static ConnectionPoint.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ConnectionPoint.Type c : ConnectionPoint.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ConnectionPoint.Type valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2014. All Rights Reserved.